import type { JSX } from '../../stencil-public-runtime';
import type { AcceptPropType, ButtonProps, DisabledPropType, FocusableElement, HideLabelPropType, HideMsgPropType, HintPropType, IconsHorizontalPropType, IdPropType, InputFileAPI, InputFileStates, InputTypeOnDefault, LabelWithExpertSlotPropType, MsgPropType, MultiplePropType, NamePropType, RequiredPropType, ShortKeyPropType, Stringified, SyncValueBySelectorPropType, TooltipAlignPropType } from '../../schema';
export declare class KolInputFile implements InputFileAPI, FocusableElement {
    private readonly host?;
    private inputRef?;
    private readonly translateDataBrowseText;
    private readonly translateFilenameText;
    private readonly catchRef;
    getValue(): Promise<FileList | null | undefined>;
    focus(): Promise<void | undefined>;
    kolFocus(): Promise<void | undefined>;
    reset(): Promise<void>;
    private getFormFieldProps;
    private getInputProps;
    render(): JSX.Element;
    private readonly controller;
    _accept?: string;
    _accessKey?: string;
    _disabled?: boolean;
    _hideMsg?: boolean;
    _hideLabel?: boolean;
    _hint?: string;
    _icons?: IconsHorizontalPropType;
    _id?: IdPropType;
    _label: LabelWithExpertSlotPropType;
    _msg?: Stringified<MsgPropType>;
    _multiple?: boolean;
    _name?: NamePropType;
    _on?: InputTypeOnDefault;
    _required?: boolean;
    _shortKey?: ShortKeyPropType;
    _smartButton?: Stringified<ButtonProps>;
    _syncValueBySelector?: SyncValueBySelectorPropType;
    _tooltipAlign?: TooltipAlignPropType;
    _touched?: boolean;
    private filename;
    private hasFileSelected;
    state: InputFileStates;
    private inputHasFocus;
    constructor();
    private showAsAlert;
    validateAccept(value?: AcceptPropType): void;
    validateAccessKey(value?: string): void;
    validateDisabled(value?: DisabledPropType): void;
    validateHideMsg(value?: HideMsgPropType): void;
    validateHideLabel(value?: HideLabelPropType): void;
    validateHint(value?: HintPropType): void;
    validateIcons(value?: IconsHorizontalPropType): void;
    validateId(value?: string): void;
    validateLabel(value?: LabelWithExpertSlotPropType): void;
    validateMsg(value?: Stringified<MsgPropType>): void;
    validateMultiple(value?: MultiplePropType): void;
    validateName(value?: string): void;
    validateOn(value?: InputTypeOnDefault): void;
    validateRequired(value?: RequiredPropType): void;
    validateShortKey(value?: ShortKeyPropType): void;
    validateSmartButton(value?: ButtonProps | string): void;
    validateSyncValueBySelector(value?: SyncValueBySelectorPropType): void;
    validateTouched(value?: boolean): void;
    componentWillLoad(): void;
    componentDidLoad(): void;
    private onDragOver;
    private onDragLeave;
    private onDrop;
    private onChange;
    private onInput;
}
